For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get internal purchase order details

Get internal purchase order details

Required permissions: INTERNAL_PURCHASE_ORDER

get
/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderUidstringRequired

Reference to an internal purchase order.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
  • sendingStoreUid: The store that creates/sends the internal purchase order.
  • receivingStoreUid: The store that receives the internal purchase order
  • creatingStoreUid: The store that creates the internal purchase order. May be different than sendingStoreUid
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
shippedAtstring · date-time · nullableRequired
shippedBystring · nullableRequired
receivedAtstring · date-time · nullableRequired
receivedBystring · nullableRequired
sendingStoreUidstringRequiredPattern: ^[A-Za-z0-9-_]+
receivingStoreUidstringRequiredPattern: ^[A-Za-z0-9-_]+
notestringRequired
statusstring · enumRequired
ENUMDescription
NEWDraft/work in progress
READY_FOR_CONFIRMATIONThe order is ready for confirmation by receiving store
PREPARING_FOR_SHIPMENTInternal purchase order is ready to be shipped from the sending store
IN_TRANSITAll quantity sent is registered and products are sent from sending store (and removed from warehouse)
ARRIVEDPurchase order has arrived to requesting store and is ready for registering and controlling quantity
COMPLETEPurchase order is complete (and stock is added to the receiving stores warehouse)
CANCELLEDPurchase order is cancelled.
Possible values:
trackingNumberstring · nullableRequired
internalPurchaseOrderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderNumberstringRequired
creatingStoreUidstringRequiredPattern: ^[A-Za-z0-9-_]+
get/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}
GET /v2/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "shippedAt": "2026-01-01T00:00:00.000Z",
  "shippedBy": "text",
  "receivedAt": "2026-01-01T00:00:00.000Z",
  "receivedBy": "text",
  "sendingStoreUid": "text",
  "receivingStoreUid": "text",
  "note": "text",
  "status": "NEW",
  "trackingNumber": "text",
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "product": {
        "productUid": "text",
        "productName": "text",
        "productSku": "text",
        "coverImage": {
          "productMediaUid": "text",
          "mainUrl": "text",
          "thumbnailUrl": "text"
        },
        "serialNoRequired": "NO"
      },
      "serialnumbers": [
        "text"
      ],
      "quantityOrdered": 1,
      "shipFromWarehouseUid": "text",
      "quantitySent": 1,
      "quantityReceived": 1,
      "receiveToWarehouseUid": "text",
      "costPrice": 1,
      "internalPurchaseOrderItemUid": "text"
    }
  ],
  "internalPurchaseOrderUid": "text",
  "allowedStatuses": [
    "NEW"
  ],
  "internalPurchaseOrderNumber": "text",
  "creatingStoreUid": "text"
}

Last updated

Was this helpful?